export function isSafari(){
    var isSafari = navigator.appVersion.search('Safari') != -1 && navigator.appVersion.search('Chrome') == -1 && navigator.appVersion.search('CrMo') == -1 && navigator.appVersion.search('CriOS') == -1;
    return isSafari;
}

export function getScrollTop(containerElement) {
    let scrollTop = 0;    

    if (containerElement.closest(".sortableDashboard").length>0){
        scrollTop = containerElement.closest(".sortableDashboard").scrollTop();
        console.log('scrollTop', scrollTop, '.sortableDashboard');
    }
    if (scrollTop === 0 && containerElement.closest(".layer-details-container").length > 0) {
        scrollTop = containerElement.closest(".layer-details-container").scrollTop();
        console.log('scrollTop', scrollTop, '.layer-details-container');
    }
    if (scrollTop === 0 && containerElement.closest(".add-inline-task").length > 0) {
        scrollTop = containerElement.closest(".add-inline-task").scrollTop();
        console.log('scrollTop', scrollTop, '.add-inline-task');
    }
    if (scrollTop === 0 && containerElement.closest(".card-body-area").length > 0) {
        scrollTop = containerElement.closest(".card-body-area").scrollTop();
        console.log('scrollTop', scrollTop, '.card-body-area');
    }
    if (scrollTop === 0 && containerElement.closest("md-dialog-content").length > 0) {
        scrollTop = containerElement.closest("md-dialog-content").scrollTop();
        console.log('scrollTop', scrollTop, 'md-dialog-content');
    }
    if (scrollTop == null || scrollTop === 0){
        scrollTop = $('body.core2').scrollTop();
    }
        
    return scrollTop;
}

export function dropDownFixPosition(button, dropdown, showRight, pixelsLeft) {        
    var dropDownTop = (button.offset().top + button.outerHeight()) - $('body.core2').scrollTop();

    var posLeft = 0;
    if (pixelsLeft) {
        posLeft = button.offset().left - pixelsLeft;
    } else {
        posLeft = button.offset().left;
    }

    dropdown.addClass('positionFixed');
    if (showRight) {
        dropDownTop = button.offset().top - $('body.core2').scrollTop();
        posLeft += button.outerWidth();
    }
    dropdown.css('top', dropDownTop + "px");
    dropdown.css('left', posLeft + "px");
}
