import React from 'react';
import ReactDOM from 'react-dom';

class RenderInBody extends React.Component{   
    constructor() {
        super();

        this.renderItem = this.renderItem.bind(this);
    }

    componentDidMount() {
        this.item = document.createElement('div');
        document.body.appendChild(this.item);
        this.renderItem();
    }

    componentDidUpdate() {
        this.renderItem();
    }

    componentWillUnmount() {
        ReactDOM.unmountComponentAtNode(this.item);
        document.body.removeChild(this.item);
    }

    renderItem() {
        ReactDOM.render(this.props.children, this.item);
    }

    render() {
        return (<div></div>);
    }

}

export default RenderInBody;